package eu.etaxonomy.taxeditor.prototype2.controller;

import org.eclipse.jface.action.Action;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.prototype2.Activator;

/**
 * Moves taxon in the taxonomic tree by assigning it a new parent
 *  and triggering observable tree list update
 * 
 * @author p.ciardelli
 *
 */
public class ActionMoveTaxon extends Action {
	Taxon taxon;
	Taxon newParentTaxon;
	
	public ActionMoveTaxon(Taxon taxon, Taxon newParentTaxon) {
		this.taxon = taxon;
		this.newParentTaxon = newParentTaxon;
	}
	
	public void run() {
		
		// TODO Taxon.setParentTaxon(newParentTaxon)
		taxon.setTaxonomicParent(newParentTaxon, null, null);
		
		// Trigger re-draw in list by removing then adding taxon
		Activator.getDefault().getObservableTaxonTreeList().remove(taxon);			
		Activator.getDefault().getObservableTaxonTreeList().add(taxon);

		// Save the taxon to the CDM
		Activator.getDefault().getCdmApp().getTaxonService().saveTaxon(taxon);
	}
}