package eu.etaxonomy.taxeditor.prototype2.view.nameviewersupport;

import org.eclipse.jface.text.Document;

import eu.etaxonomy.cdm.model.name.BotanicalName;
import eu.etaxonomy.cdm.model.name.Rank;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;


/**
 * Extends Document to associate a TaxonName
 * 
 * @author p.ciardelli
 *
 */
public class NameDocument extends Document {

	private TaxonNameBase taxonName = new BotanicalName(Rank.SPECIES());

	public NameDocument (String initialContent) {
		super(initialContent);
	}
	
	public NameDocument (TaxonNameBase taxonName) {
		this("");
		this.taxonName = taxonName;
	}
	
	public NameDocument () {
		this("");
	}

	public TaxonNameBase getTaxonName() {
		return taxonName;
	}

	public void setTaxonName(TaxonNameBase taxonName) {
		this.taxonName = taxonName;
	}	
}
