/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.editor.GroupComposite;
import eu.etaxonomy.taxeditor.editor.GroupedComposite;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class MisappliedGroupComposite extends GroupComposite {
	private static final Logger logger = Logger
			.getLogger(MisappliedGroupComposite.class);
	
	private Taxon taxon;
	
	public MisappliedGroupComposite(Composite parent, Taxon taxon) {
		super(parent);
		
		this.taxon = taxon;
	}
	
	public Taxon getTaxon() {
		return taxon;
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.GroupComposite#isDroppable(eu.etaxonomy.taxeditor.editor.GroupedComposite)
	 */
	protected boolean isDroppable(GroupedComposite composite) {
		if (composite instanceof ConceptComposite) {
			return false;
		}
		return true;
	}
}
