// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.common.ReferencedEntityBase;
import eu.etaxonomy.cdm.model.reference.Generic;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;

/**
 * @author p.ciardelli
 * @created 02.04.2009
 * @version 1.0
 */
public class ReferenceUtil {
	private static final Logger logger = Logger
			.getLogger(ReferenceUtil.class);

	/**
	 * Returns the entity's citation. If none exists, gives the
	 * entity a Generic citation.
	 *  
	 * @param entity 
	 * @return
	 */
	public static ReferenceBase getOrCreateCitation(ReferencedEntityBase entity) {
		ReferenceBase citation = entity.getCitation();
		if (citation == null) {
			citation = Generic.NewInstance();
			entity.setCitation(citation);
		}
		return citation;
	}
}
