// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;

import org.apache.log4j.Logger;

import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreatorService;
import eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput;
import eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput;

/**
 * @author p.ciardelli
 * @created 25.08.2009
 * @version 1.0
 */
public class BulkEditorEntityCreatorService implements IEntityCreatorService {
	private static final Logger logger = Logger
			.getLogger(BulkEditorEntityCreatorService.class);

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreatorService#getEntityCreator(java.lang.Object)
	 */
	public IEntityCreator getEntityCreator(Object element) {
		if (element instanceof ReferenceEditorInput) {
			return new ReferenceCreator();
		}
		if (element instanceof NameEditorInput) {
			return new NameCreator();
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreatorService#setEntityCreator(eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator, java.lang.Object)
	 */
	public void setEntityCreator(IEntityCreator entityCreator, Object element) {}
}
