// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.command;

import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.IParameterValues;
import org.eclipse.ui.IEditorInput;

import eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput;
import eu.etaxonomy.taxeditor.bulkeditor.input.ReferenceEditorInput;

/**
 * @author p.ciardelli
 * @created 20.08.2009
 * @version 1.0
 */
public class BulkEditorInputTypeValues implements IParameterValues {
	private static final Logger logger = Logger
			.getLogger(BulkEditorInputTypeValues.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IParameterValues#getParameterValues()
	 */
	public Map getParameterValues() {
		final Map values = new HashMap();
		
		// TODO user role determines which editor inputs are returned
		values.put("Reference", ReferenceEditorInput.getID());
		values.put("Name", NameEditorInput.getID());
		
		return values;
	}

	/**
	 * @param input
	 */
	public String getLabelByInputInstance(IEditorInput input) {
		if (input instanceof ReferenceEditorInput) {
			return "Reference";
		}
		if (input instanceof NameEditorInput) {
			return "Name";
		}
		return "";
	}
}
