// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.bulkeditor.handler;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
import eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorConstants;
import eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInput;

/**
 * @author p.ciardelli
 * @created 25.06.2009
 * @version 1.0
 */
public class OpenBulkEditorHandler extends AbstractHandler {
		
	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		String inputType = event.getParameter(IBulkEditorConstants.INPUT_TYPE_PARAMETER_ID);
		try {
			HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().
					openEditor(BulkEditorInput.NewInstance(inputType), BulkEditor.ID);
		} catch (PartInitException e) {
			// TODO catch
			e.printStackTrace();
		}
		return null;
	}
}
