// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.input;

import org.apache.log4j.Logger;

/**
 * @author p.ciardelli
 * @created 20.08.2009
 * @version 1.0
 */
public class NameEditorInput extends BulkEditorInput {
	private static final Logger logger = Logger
			.getLogger(NameEditorInput.class);
	
	private static NameEditorInput instance;

	/**
	 * @param sourceBean
	 */
	public NameEditorInput() {
		super(new Object());
	}

	public static final String ID = "bulkeditor.input.name";
	
	public static BulkEditorInput getInstance() {
		if (instance == null) {
			instance = new NameEditorInput();
		}
		return instance;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getName()
	 */
	public String getName() {
		return "Bulk Editor - Names";
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
	 */
	public String getToolTipText() {
		return getName();
	}

	/**
	 * @return
	 */
	public static Object getID() {
		return ID;
	}
}
