/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.forms.IFormPart;

import eu.etaxonomy.cdm.model.description.TaxonDescription;

/**
 * @author p.ciardelli
 *
 */
public class TaxonDescriptionDetailsPage extends AbstractDescriptionDetailsPage implements ModifyListener{
	
	private Text text;

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.ModifyListener#modifyText(org.eclipse.swt.events.ModifyEvent)
	 */
	public void modifyText(ModifyEvent e) {
		((TaxonDescription) input).setTitleCache(text.getText());
		fireStateChanged();
	}	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptionnew.AbstractDescriptionDetailsPage#createContents(org.eclipse.swt.widgets.Composite)
	 */
	public void createContents(Composite parent) {
		super.createContents(parent);

		section.setText("Description Details"); //$NON-NLS-1$
		
		createLabel("Edit description's label:", client, parent);
		
		text = new Text(client, SWT.BORDER | SWT.MULTI);
		
//		GridData gd = new GridData(GridData.GRAB_HORIZONTAL
//              | GridData.GRAB_VERTICAL | GridData.HORIZONTAL_ALIGN_FILL
//              | GridData.VERTICAL_ALIGN_CENTER);
		GridData gd = new GridData();	
		gd.horizontalAlignment = SWT.FILL;
		gd.grabExcessHorizontalSpace = true;

		gd.heightHint = 100;
		text.setLayoutData(gd);
		
//		text.setLayoutData(new GridData(GridData.GRAB_HORIZONTAL
//                | GridData.GRAB_VERTICAL | GridData.HORIZONTAL_ALIGN_FILL
//                | GridData.VERTICAL_ALIGN_CENTER));
		

	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptionnew.AbstractDescriptionDetailsPage#selectionChanged(org.eclipse.ui.forms.IFormPart, org.eclipse.jface.viewers.ISelection)
	 */
	@Override
	public void selectionChanged(IFormPart part, ISelection selection) {
		super.selectionChanged(part, selection);
		text.removeModifyListener(this);
		text.setText(((TaxonDescription) input).getTitleCache());
		text.addModifyListener(this);
	}
}