/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.forms.IFormPart;

import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.taxeditor.model.DescriptionHelper;

/**
 * @author p.ciardelli
 *
 */
public class TextDataDetailsPage extends AbstractDescriptionDetailsPage implements ModifyListener{
	
	private Text text;

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.ModifyListener#modifyText(org.eclipse.swt.events.ModifyEvent)
	 */
	public void modifyText(ModifyEvent e) {
		DescriptionHelper.setCache((DescriptionElementBase) input, text.getText());
		fireStateChanged();
	}	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptionnew.AbstractDescriptionDetailsPage#createContents(org.eclipse.swt.widgets.Composite)
	 */
	public void createContents(Composite parent) {
		super.createContents(parent);

		section.setText("Descriptive Element Details"); //$NON-NLS-1$
		
		createLabel("Text for this descriptive element:", client, parent);
		
		text = new Text(client, SWT.BORDER | SWT.MULTI | SWT.WRAP);
		
		GridData gd = new GridData();	
		gd.horizontalAlignment = SWT.FILL;
		gd.grabExcessHorizontalSpace = true;

		gd.heightHint = 500;
		text.setLayoutData(gd);

        createCitationControls();
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptionnew.AbstractDescriptionDetailsPage#selectionChanged(org.eclipse.ui.forms.IFormPart, org.eclipse.jface.viewers.ISelection)
	 */
	@Override
	public void selectionChanged(IFormPart part, ISelection selection) {
		super.selectionChanged(part, selection);
		text.removeModifyListener(this);
		text.setText(DescriptionHelper.getCache((DescriptionElementBase) input));
		text.addModifyListener(this);
	}
}