package eu.etaxonomy.taxeditor.editor.internal;

import org.apache.log4j.Logger;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class TaxeditorEditorPlugin extends AbstractUIPlugin {

	public static final Logger logger = Logger.getLogger(TaxeditorEditorPlugin.class);
	
	// The plug-in ID
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.editor";

	// The shared instance
	private static TaxeditorEditorPlugin plugin;
	
	/**
	 * The constructor
	 */
	public TaxeditorEditorPlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
		logger.trace("Plugin started: " + this.getBundle().getSymbolicName());
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
		logger.trace("Plugin stopped");
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static TaxeditorEditorPlugin getDefault() {
		return plugin;
	}
}
