// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.name;

import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.jface.viewers.ComboBoxCellEditor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CCombo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.views.properties.ComboBoxPropertyDescriptor;

/**
 * @author p.ciardelli
 * @created 14.05.2009
 * @version 1.0
 */
public class EditorComboBoxPropertyDescriptor extends
		ComboBoxPropertyDescriptor {
	private String[] labels;
	
	/**
	 * @param id
	 * @param displayName
	 * @param labelsArray
	 */
	public EditorComboBoxPropertyDescriptor(Object id, String displayName,
			String[] labelsArray) {
		super(id, displayName, labelsArray);
		this.labels = labelsArray;
	}
	
    public CellEditor createPropertyEditor(Composite parent) {
        CellEditor editor = new ComboBoxCellEditor(parent, labels,
                SWT.READ_ONLY);
        if (getValidator() != null) {
			editor.setValidator(getValidator());
		}
        ((CCombo) editor.getControl()).setVisibleItemCount(20);
        return editor;
    }
}
