/**
 * 
 */
package eu.etaxonomy.taxeditor.propertysheet.name;

import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;

/**
 * @author p.ciardelli
 *
 */
public class NameCacheHandler {

	private TaxonNameBase name;

	NameCacheHandler(TaxonNameBase name) {
		this.name = name;
	}
	
	public void update() {
		// If there is no rank, generated caches will be blank
        if (name.getRank() != null) {
        	        	
        	// Reset both caches to reflect property sheet changes
        	if (!name.isProtectedTitleCache()) {
        		name.setTitleCache(name.generateTitle(), false);
        	}

        	if (!name.isProtectedFullTitleCache()) {
        		name.setFullTitleCache(name.generateFullTitle(), false);
        	}
        	
    		if (name instanceof NonViralName) {
    			NonViralName nvName = (NonViralName) name;
    			if (!nvName.isProtectedAuthorshipCache()) {
    				nvName.setAuthorshipCache(nvName.generateAuthorship(), false);
    			}
    		}
        }
		name.setParsingProblem(0);	
	}
	
	public void protect(boolean protect) {
		name.setProtectedTitleCache(protect);
		name.setProtectedFullTitleCache(protect);
		if (name instanceof NonViralName) {
			((NonViralName) name).setProtectedNameCache(protect);
		}
	}
}
