// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.navigation;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.core.commands.operations.UndoContext;
import org.eclipse.core.runtime.IAdapterFactory;


/**
 * @author p.ciardelli
 * @created 04.06.2009
 * @version 1.0
 */
public class WorkbenchUndoContextAdapterFactory implements IAdapterFactory {
	private static final Logger logger = Logger
			.getLogger(WorkbenchUndoContextAdapterFactory.class);
	private UndoContext defaultUndoContext;

	private static final Class[] ADAPTER_LIST = new Class[] { IUndoContext.class };
	
	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object, java.lang.Class)
	 */
	public Object getAdapter(Object adaptableObject, Class adapterType) {
		if (IUndoContext.class.equals(adapterType)) {
			return NavigationUtil.getWorkbenchUndoContext();
		}
		return null;
	}

	/**
	 * @return
	 */
	private Object getDefaultUndoContext() {
		if (defaultUndoContext == null) {
			defaultUndoContext = new UndoContext();
		}
		return defaultUndoContext;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
	 */
	public Class[] getAdapterList() {
		return ADAPTER_LIST;
	}
}
