// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dialogs;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.window.Window;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.model.agent.AgentBase;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Sep 10, 2009
 * @version 1.0
 */
public class AgentFilteredSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<AgentBase> {
	private static final Logger logger = Logger
			.getLogger(AgentFilteredSelectionDialog.class);
	
	/**
	* @param taxon
	* @return
	*/
	public static AgentBase selectAgent(Shell shell) {
		FilteredNameSelectionDialog dialog = new FilteredNameSelectionDialog(shell, 
				"Choose a name", false);
		if (dialog.open() == Window.CANCEL) {
			return null;
		}
		
		UUID agentUuid = dialog.getSelectedUuidAndTitleCache().getUuid();
		
		if(agentUuid == null){
			return null;
		}
		
		return CdmStore.getAgentService().getAgentByUuid(agentUuid);
	}
	
	/**
	* @param shell
	* @param title
	*/
	protected AgentFilteredSelectionDialog(Shell shell, String title, boolean multi) {
		super(shell, title, multi, AgentFilteredSelectionDialog.class.getCanonicalName());
		
		ILabelProvider labelProvider = 	new FilteredCdmResourceLabelProvider();
		setListLabelProvider(labelProvider);
		setDetailsLabelProvider(labelProvider);
		
		model = CdmStore.getAgentService().getUuidAndTitleCache();
	}
	
	/* (non-Javadoc)
	* @see org.eclipse.ui.dialogs.FilteredItemsSelectionDialog#createExtendedContentArea(org.eclipse.swt.widgets.Composite)
	*/
	@Override
	protected Control createExtendedContentArea(Composite parent) {
		return null;
	}
}
