// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.operations;

import org.eclipse.core.commands.operations.IUndoContext;
import org.eclipse.core.runtime.IStatus;

import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
import eu.etaxonomy.cdm.model.common.CdmBase;
import eu.etaxonomy.cdm.model.taxon.Taxon;

/**
 * @author n.hoffmann
 * @created 08.05.2009
 * @version 1.0
 */
public abstract class AbstractPersistentPostOperation extends AbstractPostOperation {
	private IConversationEnabled conversationEnabled;
	
	/**
	 * @param label
	 * @param undoContext
	 * @param taxon
	 * @param postOperationEnabled
	 */
	public AbstractPersistentPostOperation(String label,
			IUndoContext undoContext, Taxon taxon,
			IPostOperationEnabled postOperationEnabled) {
		super(label, undoContext, taxon, postOperationEnabled);
	}
	
	public AbstractPersistentPostOperation(String label,
			IUndoContext undoContext, Taxon taxon,
			IPostOperationEnabled postOperationEnabled, 
			IConversationEnabled conversationEnabled) {
		super(label, undoContext, taxon, postOperationEnabled);
		
		this.conversationEnabled = conversationEnabled;
	}

	protected IStatus postExecute(CdmBase objectAffectedByOperation) {	
		IStatus status = super.postExecute(objectAffectedByOperation);
		
		if(conversationEnabled != null){
			conversationEnabled.getConversationHolder().commit(true);
		}
		
		return status;
	}

}
