// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

import org.apache.log4j.Logger;
import org.eclipse.jface.preference.PreferencePage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * @author n.hoffmann
 * @created Sep 1, 2009
 * @version 1.0
 */
public class TaxonomicEditorGeneralPreferences extends PreferencePage implements
		IWorkbenchPreferencePage {
	private static final Logger logger = Logger
			.getLogger(TaxonomicEditorGeneralPreferences.class);
	private Button button_toggle;

	/* (non-Javadoc)
	 * @see org.eclipse.jface.preference.PreferencePage#createContents(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected Control createContents(Composite parent) {
		Composite container = new Composite(parent, SWT.NULL);
		final GridLayout gridLayout = new GridLayout();
		container.setLayout(gridLayout);
		
		getShowDatasourceLauncher(container);
		
		return container;
	}

	private Control getShowDatasourceLauncher(Composite parent){
		Composite toggle = new Composite(parent, SWT.NULL);
		toggle.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true, 2, 1));
		toggle.setLayout(new RowLayout(SWT.HORIZONTAL));
		
		button_toggle = new Button(toggle, SWT.CHECK);		
		
		CLabel label_info = new CLabel(toggle, SWT.NULL);
		label_info.setText("Show datasoure selection dialog when editor starts.");
		
		button_toggle.setSelection( ! getPreferenceStore().getBoolean(PreferencesUtil.HIDE_DATASOURCE_CHOOSER));
		
		button_toggle.addMouseListener(new MouseAdapter(){

			/* (non-Javadoc)
			 * @see org.eclipse.swt.events.MouseAdapter#mouseDown(org.eclipse.swt.events.MouseEvent)
			 */
			@Override
			public void mouseUp(MouseEvent e) {
				getPreferenceStore().setValue(PreferencesUtil.HIDE_DATASOURCE_CHOOSER, button_toggle.getSelection());
			}
		});
		
		return toggle;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	public void init(IWorkbench workbench) {
		setPreferenceStore(PreferencesUtil.getPreferenceStore());
	}


}
